Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412449 - Missing perl deps
Summary: Missing perl deps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: whohas
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 03:28 UTC by Athos Ribeiro
Modified: 2017-02-05 05:18 UTC (History)
1 user (show)

Fixed In Version: whohas-0.29.1-5.fc24 whohas-0.29.1-5.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-03 21:48:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Athos Ribeiro 2017-01-12 03:28:28 UTC
The binary does not run here:

[athos@zephyr ~]$ whohas bitcoin
Can't locate forks.pm in @INC...

Investigating it further, we have

/usr/bin/whohas:41:

use if $^O ne 'MSWin32', 'forks';
use if $Config{usethreads}, "threads";

and

[athos@zephyr ~]$ rpm -q whohas --requires
/usr/bin/perl
perl(Config)
perl(Env)
perl(Getopt::Long)
perl(LWP::UserAgent)
perl(Sys::CPU)
perl(Thread::Queue)
perl(if)
perl(sigtrap)
perl(strict)
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

So I believe we need to require both perl(forks) and perl(threads) there.

https://fedoraproject.org/wiki/Packaging:Perl#Manual_Requires_and_Provides

Once these are fixed, I believe backports for all versions containing this package will be needed as well

Comment 1 Fedora Update System 2017-01-18 16:27:39 UTC
whohas-0.29.1-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-afc9de2c17

Comment 2 Fedora Update System 2017-01-18 16:37:45 UTC
whohas-0.29.1-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-20f1ed2ae6

Comment 3 Fedora Update System 2017-01-19 07:24:02 UTC
whohas-0.29.1-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-20f1ed2ae6

Comment 4 Fedora Update System 2017-01-19 09:12:25 UTC
whohas-0.29.1-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-afc9de2c17

Comment 5 Athos Ribeiro 2017-01-19 13:03:45 UTC
Thanks, the package is usable now.

I noticed that upstream points to EOL fedora repositories to look for packages though (these repositories were archived, so whohas cannot find any packages there).

As I see it, we'd need to either request them to update fedora repositories every 6 moths or implement some logic to automatically find which are the 2 fedora releases being maintained.

From a packager POV, I also see some value in having the tool also querying rawhide :)

Comment 6 Fedora Update System 2017-02-03 21:48:31 UTC
whohas-0.29.1-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-02-05 05:18:44 UTC
whohas-0.29.1-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.